Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class PortletDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.PortletDefinitionId

All Implemented Interfaces:
  PlaceableDefinitionId, Serializable

public class PortletDefinitionId
extends Id
implements PlaceableDefinitionId

Represents the primary keys of `Portlet` definition objects in the database, and is used to uniquely identify them. `PortletDefinitionId` will be needed when customizing any `Portlet` definitions on a desktop.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`PortletDefinitionId(int id)`

Method Summary
`protected Object` | `clone()`
`static PortletDefinitionId` | `clone(PortletDefinitionId portletDefinitionId)`
`static PortletDefinitionId` | `createPortletDefinitionId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletDefinitionId

    public PortletDefinitionId(int id)

Parameters:
  `id` - the integer value that this `PortletDefinitionId` should be set to.

Method Detail

### createPortletDefinitionId

    public static PortletDefinitionId createPortletDefinitionId(int id)

  Parameters:
    `id` - the integer value that this `PortletDefinitionId` should be set to.
  Returns:
    a new `PortletDefinitionId` with the id value set to the integer passed in.

### clone

    public static PortletDefinitionId clone(PortletDefinitionId portletDefinitionId)

  Parameters:
    `portletDefinitionId` - the `PortletDefinitionId` to be cloned.
  Returns:
    a new `PortletDefinitionId` with the exact same id value as the `PortletDefinitionId` passed in.

### clone

    protected Object clone()

  Returns:
    a new `PortletDefinitionId` with the exact same id value as this `PortletDefinitionId`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved